## NAME

v.lidar.growing - Building contour determination and Region Growing algorithm for determining the building inside

## KEYWORDS

vector, LIDAR

## SYNOPSIS

v.lidar.growing
v.lidar.growing help
v.lidar.growing input=name output=name first=name [database=string] [driver=string] [tj=float] [td=float] [--overwrite]

### Flags:

--overwrite
  Force overwrite of output files

### Parameters:

input=name
  Name of input vector map
output=name
  Name for output vector map
first=name
  Name of the first pulse vector map
database=string
  Database name - THIS OPTION WILL BE REMOVED SOON
driver=string
  Driver name - THIS OPTION WILL BE REMOVED SOON
  Options: dbf,pg,ogr
tj=float
  Threshold for cell object frequency in region growing
  Default: 0.2
td=float
  Threshold for double pulse in region growing
  Default: 0.6

## DESCRIPTION

v.lidar.growing is the second of three step to filter LIDAR data. It identifies which is the internal area of every object on a LIDAR point surface. The input data is the output result of the v.lidar.correction module. It is based on the hypothesis that inside the object the heights are, in general, higher than on the contour. The output will be a vector map which points are pre-classified as TERRAIN SINGLE PULSE, TERRAIN DOUBLE PULSE, OBJECT SINGLE PULSE or OBJECT DOUBLE PULSE. The input of this module should be the output of v.lidar.edgedetection module, and the output of this module will be the input of v.lidar.correction module.

## NOTES

The final result of the whole procedure (v.lidar.edgedetection, v.lidar.growing, v.lidar.correction) will be a point classification in four categories:
TERRAIN SINGLE PULSE
TERRAIN DOUBLE PULSE
OBJECT SINGLE PULSE
OBJECT DOUBLE PULSE

## EXAMPLES

#### Basic region growing procedure

    v.lidar.growing input=edge output=growing

## SEE ALSO

v.lidar.edgedetection, v.lidar.correction

## AUTHOR

Original version of program in GRASS 5.4:
Maria Antonia Brovelli, Massimiliano Cannata, Ulisse Longoni and Mirko Reguzzoni
Update for GRASS 6.X:
Roberto Antolin and Gonzalo Moreno

## REFERENCES

Brovelli M. A., Cannata M., and Longoni U.M., 2004, LIDAR Data Filtering and DTM Interpolation Within GRASS, Transactions in GIS, April 2004, vol. 8, iss. 2, pp. 155-174(20), Blackwell Publishing Ltd
Brovelli M. A. and Cannata M., 2004, Digital Terrain model reconstruction in urban areas from airborne laser scanning data: the method and an example for Pavia (Northern Italy). Computers and Geosciences 30, pp.325-331
Brovelli M. A e Longoni U.M., 2003, Software per il filtraggio di dati LIDAR, Rivista dell'Agenzia del Territorio, n. 3-2003, pp. 11-22 (ISSN 1593-2192)
Brovelli M. A., Cannata M. and Longoni U.M., 2002, DTM LIDAR in area urbana, Bollettino SIFET N.2, 2002, pp. 7-26

Last changed: $Date: 2007/04/16 21:36:04 $

Main index - vector index - Full index